﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HeuristicLab.DataPreprocessing {
  public enum DataPreprocessingChangedEventType {
    DeleteColumn,
    AddColumn,
    ChangeColumn,
    DeleteRow,
    AddRow,
    ChangeItem
  }

  public class DataPreprocessingChangedEventArgs : EventArgs {
    public DataPreprocessingChangedEventType Type { get; private set; }
    public int Row { get; private set; }
    public int Column { get; private set; }

    public DataPreprocessingChangedEventArgs(DataPreprocessingChangedEventType type, int column, int row) {
      Type = type;
      Column = column;
      Row = row;
    }
  }

  public delegate void DataPreprocessingChangedEventHandler(object sender, DataPreprocessingChangedEventArgs e);
}
